Update an initiative label
curl --request PATCH \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/initiatives/labels/{label_id}/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"color": "<string>",
"sort_order": 123
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/initiatives/labels/{label_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"sort_order": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', color: '<string>', sort_order: 123})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/initiatives/labels/{label_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Initiative Labels
Update an initiative label
Updates an existing initiative label by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PATCH
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
initiatives
/
labels
/
{label_id}
/
Update an initiative label
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier for the initiative label.
Body parameters
string
Name of the initiative label.
string
Description of the initiative label.
string
Hex color code for the initiative label (e.g., “#eb5757”).
number
Sort order for display purposes.

